Summary:        Python wrapper for extended filesystem attributes
Name:           python-xattr
Version:        0.10.1
Release:        4%{?dist}
License:        MIT
URL:            http://github.com/xattr/xattr
Source0:        https://github.com/xattr/xattr/archive/refs/tags/v%{version}.tar.gz

%description
xattr is a Python wrapper for extended filesystem attributes.
Extended attributes extend the basic attributes of files and
directories in the file system. They are stored as name:data
pairs associated with file system objects (files, directories,
symlinks, etc).

%package -n python3-xattr
Summary:        Python wrapper for extended filesystem attributes
Provides:       python-xattr
BuildRequires:  gcc
BuildRequires:  gdb python3-devel python3-setuptools python3-cffi
Requires:       python3-cffi

%description -n python3-xattr
xattr is a Python wrapper for extended filesystem attributes.
Extended attributes extend the basic attributes of files and
directories in the file system. They are stored as name:data
pairs associated with file system objects (files, directories,
symlinks, etc).

%prep
%autosetup -n xattr-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}

%files -n python3-xattr
%{_docdir}/*
%{python3_sitearch}/xattr
%{python3_sitearch}/*.egg-info
%{_bindir}/xattr

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Miaojun Dong <zoedong@tencent.com> - 0.10.1-1
- initial build
